#global prerel 01

Name:           flmsg
Version:        3.00.02
%if 0%{?prerel}
Release:        0.%{?prerel}%{?dist}
%else
Release:        1%{?dist}
%endif
Summary:        Fast Light Message Amateur Radio Forms Manager

# Embedded mongoose is GPLv2
License:        GPLv3+ and GPLv2
URL:            http://www.w1hkj.com/
Source0:        http://downloads.sourceforge.net/fldigi/%{name}-%{version}%{?prerel:.%{prerel}}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  fltk-devel >= 1.3.0
BuildRequires:  flxmlrpc-devel >= 0.1.0
# Will not build against system mongoose
#BuildRequires:  mongoose-devel
BuildRequires:  desktop-file-utils

# While mongoose does make official releases, it is also designed as a copylib
# The copy in flmsg is heavily modified and will not work with any upstream 
# version.
# https://github.com/cesanta/mongoose
Provides:       bundled(mongoose)


%description
flmsg is a editor / file management tool for ics213 forms which form the
basis for emergency communications data transfers.


%prep
%setup -q -n %{name}-%{version}%{?prerel:.%{prerel}}

# Remove bundled xmlrpc library.
rm -rf src/xmlrpcpp


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%license COPYING
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon Aug  8 2016 Richard Shaw <hobbes1069@gmail.com> - 3.00.02-1
- Update to latest upstream release.

* Mon Jun 27 2016 Richard Shaw <hobbes1069@gmail.com> - 3.00.01-1
- Update to latest upstream release.

* Wed Jun  8 2016 Richard Shaw <hobbes1069@gmail.com> - 3.00.00-1
- Update to latest upstream release.
- Update license tag to include GPLv2 (embedded mongoose server).

* Fri Apr  1 2016 Richard Shaw <hobbes1069@gmail.com> - 2.0.17-1
- Update to latest upstream release.

* Mon Jan  4 2016 Richard Shaw <hobbes1069@gmail.com> - 2.0.14-1
- Update to latest upstream release.

* Mon Dec 28 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.13-1
- Update to latest upstream release.

* Fri Oct  9 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.12-2
- Add virtual provides and comments for the bundled mongoose library.

* Sun Jul 26 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.12-1
- Update to latest upstream release.

* Tue May  5 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.10-1
- Update to latest upstream release.
- Build with external xmlrpc library.
- Use %%license macro where appropriate.

* Wed Mar 11 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.9-1
- Update to latest upstream release.

* Tue Jan 13 2015 Richard Shaw <hobbes1069@gmail.com> - 2.0.7-1
- Update to latest upstream release.

* Thu Oct 16 2014 Richard Shaw <hobbes1069@gmail.com> - 2.0.5-1
- Update to latest upstream release.

* Wed Mar  5 2014 Richard Shaw <hobbes1069@gmail.com> - 2.0.3-1
- Initial packaging.
